scala.tools.nsc.typechecker.ContextErrors.TyperContextErrors

# TyperErrorGen

###
Related Doc: package TyperContextErrors

#### object TyperErrorGen

Source
  ContextErrors.scala

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. TyperErrorGen
2. AnyRef
3. Any

1. Hide All
2. Show all

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   arg0

     the object to compare against this object for equality.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     AnyRef → Any

4. #### def AbstractExistentiallyOverParamerizedTpeError(tree: Global.Tree, tp: Global.Type): Unit

5. #### def AbstractionFromVolatileTypeError(vd: Global.ValDef): Unit

6. #### def AdaptTypeError(tree: Global.Tree, found: Global.Type, req: Global.Type): Unit

7. #### def AmbiguousIdentError(tree: Global.Tree, name: Global.Name, msg: String): Analyzer.NormalTypeError

8. #### def AmbiguousParentClassError(tree: Global.Tree): Unit

9. #### def AnnotationArgNullError(tree: Global.Tree): Analyzer.NormalTypeError

10. #### def AnnotationMissingArgError(tree: Global.Tree, annType: Global.Type, sym: Global.Symbol): Analyzer.NormalTypeError

11. #### def AnnotationNotAConstantError(tree: Global.Tree): Analyzer.NormalTypeError

12. #### def AnnotationTypeMismatchError(tree: Global.Tree, expected: Global.Type, found: Global.Type): Analyzer.NormalTypeError

13. #### def AppliedTypeNoParametersError(tree: Global.Tree, errTpe: Global.Type): Global.Tree

14. #### def AppliedTypeWrongNumberOfArgsError(tree: Global.Tree, tpt: Global.Tree, tparams: List[Global.Symbol]): Global.Tree

15. #### def ApplyWithoutArgsError(tree: Global.Tree, fun: Global.Tree): Analyzer.NormalTypeError

16. #### def ArrayConstantsError(tree: Global.Tree): Analyzer.NormalTypeError

17. #### def ArrayConstantsTypeMismatchError(tree: Global.Tree, pt: Global.Type): Analyzer.NormalTypeError

18. #### def AssignmentError(tree: Global.Tree, varSym: Global.Symbol): Global.Tree

19. #### def BlackboxExtractorExpansion(fun: Global.Tree): Analyzer.NormalTypeError

20. #### def CaseClassConstructorError(tree: Global.Tree, baseMessage: String): Global.Tree

21. #### def ClassTypeRequiredError(tree: Global.Tree, found: AnyRef): Global.Tree

22. #### def ClassfileAnnotationsAsNamedArgsError(tree: Global.Tree): Analyzer.NormalTypeError

23. #### def ConstrArgsInParentOfTraitError(arg: Global.Tree, parent: Global.Symbol): Unit

24. #### def ConstrArgsInParentWhichIsTraitError(arg: Global.Tree, parent: Global.Symbol): Unit

25. #### def ConstructorPrefixError(tree: Global.Tree, restpe: Global.Type): Global.Tree

26. #### def ConstructorsOrderError(tree: Global.Tree): Global.Tree

27. #### def CyclicAliasingOrSubtypingError(errPos: Global.Position, sym0: Global.Symbol): Unit

28. #### def CyclicReferenceError(errPos: Global.Position, tp: Global.Type, lockedSym: Global.Symbol): Unit

29. #### def DefDefinedTwiceError(sym0: Global.Symbol, sym1: Global.Symbol): Unit

30. #### def DependentMethodTpeConversionToFunctionError(tree: Global.Tree, tp: Global.Type): Unit

31. #### def DeprecatedParamNameError(param: Global.Symbol, name: Global.Name): Unit

32. #### def DoesNotConformToSelfTypeError(tree: Global.Tree, sym: Global.Symbol, tpe0: Global.Type): Global.Tree

33. #### def DuplicateValueAnnotationError(tree: Global.Tree, name: Global.Name): Analyzer.NormalTypeError

34. #### def DynamicRewriteError(tree: Global.Tree, err: Analyzer.AbsTypeError): Global.Tree

35. #### def DynamicVarArgUnsupported(tree: Global.Tree, name: Global.Name): Unit

36. #### def FinitaryError(tparam: Global.Symbol): Unit

37. #### def HiddenSymbolWithError[T <: Global.Tree](tree: T): T

38. #### def InferTypeWithVolatileTypeSelectionError(tree: Global.Tree, pre: Global.Type): Unit

39. #### def InvalidConstructorDefError(ddef: Global.Tree): Unit

40. #### def IsAbstractError(tree: Global.Tree, sym: Global.Symbol): Global.Tree

41. #### def KindArityMismatchError(tree: Global.Tree, pt: Global.Type): Global.Tree

42. #### def LocalVarUninitializedError(vdef: Global.Tree): Unit

43. #### def LowerBoundError(tree: Global.TypeDef, lowB: Global.Type, highB: Global.Type): Unit

44. #### def MacroEtaError(tree: Global.Tree): Global.Tree

45. #### object MacroExpansionException extends Exception with ControlThrowable with Product with Serializable

46. #### def MacroExpansionHasInvalidTypeError(expandee: Global.Tree, expanded: Any): Nothing

47. #### def MacroFreeSymbolError(expandee: Global.Tree, sym: Global.FreeSymbol): Nothing

48. #### def MacroGeneratedAbort(expandee: Global.Tree, ex: AbortMacroException): Nothing

49. #### def MacroGeneratedException(expandee: Global.Tree, ex: Throwable): Nothing

50. #### def MacroGeneratedTypeError(expandee: Global.Tree, err: Global.TypeError = null): Nothing

51. #### def MacroImplementationNotFoundError(expandee: Global.Tree): Nothing

52. #### def MacroTooFewArgumentListsError(expandee: Global.Tree): Nothing

53. #### def MacroTooFewArgumentsError(expandee: Global.Tree): Nothing

54. #### def MacroTooManyArgumentListsError(expandee: Global.Tree): Nothing

55. #### def MacroTooManyArgumentListsError(expandee: Global.Tree, fun: Global.Symbol): Analyzer.NormalTypeError

56. #### def MacroTooManyArgumentsError(expandee: Global.Tree): Nothing

57. #### def MaxFunctionArityError(fun: Global.Tree): Global.Tree

58. #### def MissingArgsForMethodTpeError(tree: Global.Tree, meth: Global.Symbol): Global.Tree

59. #### def MissingClassTagError(tree: Global.Tree, tp: Global.Type): Global.Tree

60. #### def MissingParameterTypeAnonMatchError(vparam: Global.Tree, pt: Global.Type): Unit

61. #### def MissingParameterTypeError(fun: Global.Tree, vparam: Global.ValDef, pt: Global.Type, withTupleAddendum: Boolean): Unit

62. #### def MissingTypeArgumentsParentTpeError(supertpt: Global.Tree): Unit

63. #### def MissingTypeParametersError(tree: Global.Tree): Global.Tree

64. #### def MixinMissingParentClassNameError(tree: Global.Tree, mix: Global.Name, clazz: Global.Symbol): Unit

65. #### def ModuleUsingCompanionClassDefaultArgsErrror(tree: Global.Tree): Analyzer.NormalTypeError

66. #### def MultipleArgumentListForAnnotationError(tree: Global.Tree): Analyzer.NormalTypeError

67. #### def MultipleVarargError(tree: Global.Tree): Analyzer.NormalTypeError

68. #### def NamedAndDefaultArgumentsNotSupportedForMacros(tree: Global.Tree, fun: Global.Tree): Analyzer.NormalTypeError

69. #### def NestedAnnotationError(tree: Global.Tree, annType: Global.Type): Analyzer.NormalTypeError

70. #### def NotAMemberError(sel: Global.Tree, qual: Global.Tree, name: Global.Name): Unit

71. #### def NotAValueError(tree: Global.Tree, sym: Global.Symbol): Global.Tree

72. #### def NotEnoughArgsError(tree: Global.Tree, fun0: Global.Tree, missing0: List[Global.Symbol]): Analyzer.NormalTypeError

73. #### def OnlyDeclarationsError(tree: Global.Tree): Global.Tree

74. #### def OverloadedUnapplyError(tree: Global.Tree): Unit

75. #### def ParentFinalInheritanceError(parent: Global.Tree, mixin: Global.Symbol): Analyzer.NormalTypeError

76. #### def ParentInheritedTwiceError(parent: Global.Tree, parentSym: Global.Symbol): Analyzer.NormalTypeError

77. #### def ParentNotATraitMixinError(parent: Global.Tree, mixin: Global.Symbol): Analyzer.NormalTypeError

78. #### def ParentSealedInheritanceError(parent: Global.Tree, psym: Global.Symbol): Analyzer.NormalTypeError

79. #### def ParentSelfTypeConformanceError(parent: Global.Tree, selfType: Global.Type): Analyzer.NormalTypeError

80. #### def ParentSuperSubclassError(parent: Global.Tree, superclazz: Global.Symbol, parentSym: Global.Symbol, mixin: Global.Symbol): Analyzer.NormalTypeError

81. #### def ParentTypesError(templ: Global.Template, ex: Global.TypeError): Global.Template

82. #### def PatternMustBeValue(pat: Global.Tree, pt: Global.Type): Unit

83. #### def QualifyingClassError(tree: Global.Tree, qual: Global.Name): Global.Tree

84. #### def ReturnOutsideOfDefError(tree: Global.Tree): Global.Tree

85. #### def ReturnWithoutTypeError(tree: Global.Tree, owner: Global.Symbol): Global.Tree

86. #### def SelectWithUnderlyingError(sel: Global.Tree, err: Analyzer.AbsTypeError): Global.Tree

87. #### def SelfConstrArgsThisReferenceError(tree: Global.Tree): Analyzer.NormalTypeError

88. #### def StarParamNotLastError(param: Global.Tree): Unit

89. #### def StarPatternWithVarargParametersError(tree: Global.Tree): Unit

90. #### def StarPositionInPatternError(tree: Global.Tree): Unit

91. #### def StarWithDefaultError(meth: Global.Symbol): Unit

92. #### def SuperConstrArgsThisReferenceError(tree: Global.Tree): Analyzer.NormalTypeError

93. #### def SuperConstrReferenceError(tree: Global.Tree): Analyzer.NormalTypeError

94. #### def SymbolEscapesScopeError[T <: Global.Tree](tree: T, badSymbol: Global.Symbol): T

95. #### def SymbolNotFoundError(tree: Global.Tree, name: Global.Name, owner: Global.Symbol, startingIdentCx: Analyzer.Context): Analyzer.NormalTypeError

96. #### def TooManyArgsNamesDefaultsError(tree: Global.Tree, fun: Global.Tree): Analyzer.NormalTypeError

97. #### def TooManyArgsPatternError(fun: Global.Tree): Analyzer.NormalTypeError

98. #### def TooManyArgumentListsForConstructor(tree: Global.Tree): Global.Tree

99. #### def TypeNotAStablePrefixError(tpt: Global.Tree, pre: Global.Type): Global.Tree

100. #### def TypeSelectionFromVolatileTypeError(tree: Global.Tree, qual: Global.Tree): Global.Tree

101. #### def TypedApplyDoesNotTakeTpeParametersError(tree: Global.Tree, fun: Global.Tree): Global.Tree

102. #### def TypedApplyWrongNumberOfTpeParametersError(tree: Global.Tree, fun: Global.Tree): Global.Tree

103. #### def UnapplyWithSingleArgError(tree: Global.Tree): Unit

104. #### def UnderscoreEtaError(tree: Global.Tree): Global.Tree

105. #### def UnexpectedTreeAnnotationError(tree: Global.Tree, unexpected: Global.Tree): Analyzer.NormalTypeError

106. #### def UnexpectedTreeAssignmentConversionError(tree: Global.Tree): Global.Tree

107. #### def UnknownAnnotationNameError(tree: Global.Tree, name: Global.Name): Analyzer.NormalTypeError

108. #### def UnstableTreeError(tree: Global.Tree): Global.Tree

109. #### def VariableInPatternAlternativeError(tree: Global.Tree): Unit

110. #### def VolatileValueError(vdef: Global.Tree): Unit

111. #### def WithFilterError(tree: Global.Tree, ex: Analyzer.AbsTypeError): Global.Tree

112. #### def WrongNumberOfArgsError(tree: Global.Tree, fun: Global.Tree): Analyzer.NormalTypeError

113. #### def WrongNumberOfParametersError(tree: Global.Tree, argpts: List[Global.Type]): Global.Tree

114. #### def WrongShapeExtractorExpansion(fun: Global.Tree): Analyzer.NormalTypeError

115. #### final def asInstanceOf[T0]: T0

     Cast the receiver object to be of type `T0`.

     Cast the receiver object to be of type `T0`.

     Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

     returns

       the receiver object.

     Definition Classes
       Any
     Exceptions thrown

       `ClassCastException` if the receiver object is not an instance of the erasure of type `T0`.

116. #### def clone(): AnyRef

     Create a copy of the receiver object.

     Create a copy of the receiver object.

     The default implementation of the `clone` method is platform dependent.

     returns

       a copy of the receiver object.

     Attributes
       protected[java.lang]
     Definition Classes
       AnyRef
     Annotations
       @throws( ... )
     Note

       not specified by SLS as a member of AnyRef

117. #### implicit val contextTyperErrorGen: Analyzer.Context

118. #### final def eq(arg0: AnyRef): Boolean

     Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

     Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

     The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

     - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
     - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
     - `null.eq(null)` returns `true`.

     When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

     returns

       `true` if the argument is a reference to the receiver object; `false` otherwise.

     Definition Classes
       AnyRef

119. #### def equals(arg0: Any): Boolean

     The equality method for reference types.

     The equality method for reference types. Default implementation delegates to `eq`.

     See also `equals` in scala.Any.

     returns

       `true` if the receiver object is equivalent to the argument; `false` otherwise.

     Definition Classes
       AnyRef → Any

120. #### def finalize(): Unit

     Called by the garbage collector on the receiver object when there are no more references to the object.

     Called by the garbage collector on the receiver object when there are no more references to the object.

     The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

     Attributes
       protected[java.lang]
     Definition Classes
       AnyRef
     Annotations
       @throws( classOf[java.lang.Throwable] )
     Note

       not specified by SLS as a member of AnyRef

121. #### final def getClass(): Class[_]

     A representation that corresponds to the dynamic class of the receiver object.

     A representation that corresponds to the dynamic class of the receiver object.

     The nature of the representation is platform dependent.

     returns

       a representation that corresponds to the dynamic class of the receiver object.

     Definition Classes
       AnyRef → Any
     Note

       not specified by SLS as a member of AnyRef

122. #### def hashCode(): Int

     The hashCode method for reference types.

     The hashCode method for reference types. See hashCode in scala.Any.

     returns

       the hash code value for this object.

     Definition Classes
       AnyRef → Any

123. #### final def isInstanceOf[T0]: Boolean

     Test whether the dynamic type of the receiver object is `T0`.

     Test whether the dynamic type of the receiver object is `T0`.

     Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

     returns

       `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

     Definition Classes
       Any

124. #### def macroExpansionError(expandee: Global.Tree, msg: String, pos: Global.Position = NoPosition): Nothing

     Attributes
       protected

125. #### final def ne(arg0: AnyRef): Boolean

     Equivalent to `!(this eq that)`.

     Equivalent to `!(this eq that)`.

     returns

       `true` if the argument is not a reference to the receiver object; `false` otherwise.

     Definition Classes
       AnyRef

126. #### final def notify(): Unit

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

127. #### final def notifyAll(): Unit

     Wakes up all threads that are waiting on the receiver object's monitor.

     Wakes up all threads that are waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

128. #### final def synchronized[T0](arg0: ⇒ T0): T0

     Definition Classes
       AnyRef

129. #### def toString(): String

     Creates a String representation of this object.

     Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

     returns

       a String representation of the object.

     Definition Classes
       AnyRef → Any

130. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

131. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

132. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped